mulaichatDocs
GuidesDeveloperAPI ReferenceChangelog
Posts
GET
/v1/posts

Newest first, a cursor page (limit up to 100). With from and to (ISO 8601, up to 45 days): posts whose scheduled_at, or created_at, falls in [from, to), oldest first, one page (limit up to 500, no cursor).

Requires the read scope.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Query Parameters

status?string
Value in"draft""scheduled""publishing""published""partial""failed""canceled"
account_id?string
Formatuuid
limit?integer
Range1 <= value <= 500
Default20
cursor?string
from?string
Formatdate-time
to?string
Formatdate-time

Header Parameters

mulaichat-workspace?string

Limits an owner key to one profile (id or external_id). Unknown: 404 profile_not_found.

Response Body

A page of posts.

application/json
  1. response
data*array<>
next_cursor*string|null
Example Request
curl -X GET 'https://api.mulaichat.com/v1/posts'
Example Response
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8",      "content": "string",      "type": "text",      "status": "draft",      "source": "dashboard",      "idea_id": "513dcbd6-3206-4305-8a7e-8651161eebfb",      "scheduled_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "media": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "type": "image",          "expired": true,          "public_url": "string",          "poster_url": "string",          "alt_text": "string",          "original_name": "string"        }      ],      "targets": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",          "platform": "threads",          "username": "string",          "display_name": "string",          "status": "pending",          "options": {            "property1": null,            "property2": null          },          "content": "string",          "media": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "type": "image",              "expired": true,              "public_url": "string",              "poster_url": "string",              "alt_text": "string",              "original_name": "string"            }          ],          "cover": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "type": "image",            "expired": true,            "public_url": "string",            "poster_url": "string",            "alt_text": "string",            "original_name": "string"          },          "platform_post_id": "string",          "permalink": "string",          "error_code": "string",          "error_message": "string",          "retry_after": "2019-08-24T14:15:22Z",          "published_at": "2019-08-24T14:15:22Z",          "first_comment": {            "status": "pending",            "comment_id": "string",            "error_code": "string",            "error_message": "string"          }        }      ]    }  ],  "next_cursor": "string"}

On this page